%div#counter
  %div
    Hi future dan. The - haml operator doesn't work no matter which haml library you make use of. So long-story short is %that 
    your options are to use go templates parsed before the haml. Or you will have to somehow modify the haml parsers to drop into
    go template syntax somehow.